OpenCV: cv::superres::DualTVL1OpticalFlow Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::superres::DualTVL1OpticalFlow Class Referenceabstract
Super Resolution

`#include "optical_flow.hpp"`

Inheritance diagram for cv::superres::DualTVL1OpticalFlow:

## Public Member Functions
virtual double | getEpsilon () const =0
virtual int | getIterations () const =0
virtual double | getLambda () const =0
virtual int | getScalesNumber () const =0
virtual double | getTau () const =0
virtual double | getTheta () const =0
virtual bool | getUseInitialFlow () const =0
virtual int | getWarpingsNumber () const =0
virtual void | setEpsilon (double val)=0
virtual void | setIterations (int val)=0
virtual void | setLambda (double val)=0
virtual void | setScalesNumber (int val)=0
virtual void | setTau (double val)=0
virtual void | setTheta (double val)=0
virtual void | setUseInitialFlow (bool val)=0
virtual void | setWarpingsNumber (int val)=0
Public Member Functions inherited from cv::superres::DenseOpticalFlowExt
virtual void | calc (InputArray frame0, InputArray frame1, OutputArray flow1, OutputArray flow2=noArray())=0
virtual void | collectGarbage ()=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Function Documentation

## ◆ getEpsilon()

virtual double cv::superres::DualTVL1OpticalFlow::getEpsilon | ( |  | ) | const
| pure virtual

See also
  setEpsilon

## ◆ getIterations()

virtual int cv::superres::DualTVL1OpticalFlow::getIterations | ( |  | ) | const
| pure virtual

See also
  setIterations

## ◆ getLambda()

virtual double cv::superres::DualTVL1OpticalFlow::getLambda | ( |  | ) | const
| pure virtual

See also
  setLambda

## ◆ getScalesNumber()

virtual int cv::superres::DualTVL1OpticalFlow::getScalesNumber | ( |  | ) | const
| pure virtual

See also
  setScalesNumber

## ◆ getTau()

virtual double cv::superres::DualTVL1OpticalFlow::getTau | ( |  | ) | const
| pure virtual

See also
  setTau

## ◆ getTheta()

virtual double cv::superres::DualTVL1OpticalFlow::getTheta | ( |  | ) | const
| pure virtual

See also
  setTheta

## ◆ getUseInitialFlow()

virtual bool cv::superres::DualTVL1OpticalFlow::getUseInitialFlow | ( |  | ) | const
| pure virtual

See also
  setUseInitialFlow

## ◆ getWarpingsNumber()

virtual int cv::superres::DualTVL1OpticalFlow::getWarpingsNumber | ( |  | ) | const
| pure virtual

See also
  setWarpingsNumber

## ◆ setEpsilon()

virtual void cv::superres::DualTVL1OpticalFlow::setEpsilon | ( | double | val | ) |
| pure virtual

See also
  getEpsilon

## ◆ setIterations()

virtual void cv::superres::DualTVL1OpticalFlow::setIterations | ( | int | val | ) |
| pure virtual

See also
  getIterations

## ◆ setLambda()

virtual void cv::superres::DualTVL1OpticalFlow::setLambda | ( | double | val | ) |
| pure virtual

See also
  getLambda

## ◆ setScalesNumber()

virtual void cv::superres::DualTVL1OpticalFlow::setScalesNumber | ( | int | val | ) |
| pure virtual

See also
  getScalesNumber

## ◆ setTau()

virtual void cv::superres::DualTVL1OpticalFlow::setTau | ( | double | val | ) |
| pure virtual

See also
  getTau

## ◆ setTheta()

virtual void cv::superres::DualTVL1OpticalFlow::setTheta | ( | double | val | ) |
| pure virtual

See also
  getTheta

## ◆ setUseInitialFlow()

virtual void cv::superres::DualTVL1OpticalFlow::setUseInitialFlow | ( | bool | val | ) |
| pure virtual

See also
  getUseInitialFlow

## ◆ setWarpingsNumber()

virtual void cv::superres::DualTVL1OpticalFlow::setWarpingsNumber | ( | int | val | ) |
| pure virtual

See also
  getWarpingsNumber

The documentation for this class was generated from the following file:

- superres/include/opencv2/superres/optical_flow.hpp